curl --request GET \
--url https://test.deribit.com/api/v2/private/get_trigger_order_history \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 2552,
"method": "private/get_trigger_order_history",
"params": {
"currency": "ETH",
"count": 10
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_trigger_order_history"
payload = {
"jsonrpc": "2.0",
"id": 2552,
"method": "private/get_trigger_order_history",
"params": {
"currency": "ETH",
"count": 10
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 2552,
method: 'private/get_trigger_order_history',
params: {currency: 'ETH', count: 10}
})
};
fetch('https://test.deribit.com/api/v2/private/get_trigger_order_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 2192,
"result": {
"entries": [
{
"trigger": "index",
"timestamp": 1555918941451,
"trigger_price": 5285,
"trigger_order_id": "SLIS-103",
"order_state": "new",
"request": "trigger:order",
"price": 5179.28,
"order_id": "671473",
"offset": 277,
"instrument_name": "BTC-PERPETUAL",
"amount": 10,
"direction": "buy"
}
],
"continuation": "1555918941451.SLIS-103"
}
}private/get_trigger_order_history
Retrieves a detailed log of all trigger orders (stop orders, take-profit orders, etc.) for the authenticated account. The log includes trigger order creation, activation, execution, and cancellation events.
Results can be filtered by currency and instrument name. Use pagination parameters (count and continuation) to retrieve large trigger order histories. This is useful for tracking trigger order activity and debugging trigger order behavior.
Scope: trade:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Instrument name Unique instrument identifier
"BTC-PERPETUAL"
Number of requested items, default - 20, maximum - 1000
1 <= x <= 1000Continuation token for pagination
"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The timestamp (milliseconds since the Unix epoch)
1536569522277
Trigger type (only for trigger orders). Allowed values: "index_price", "mark_price", "last_price".
index_price, mark_price, last_price Trigger price (Only for future trigger orders)
The maximum deviation from the price peak beyond which the order will be triggered (Only for trailing trigger orders)
Id of the user order used for the trigger-order reference before triggering
"SLTB-187015"
Unique order identifier
"ETH-100234"
Order state: "triggered", "cancelled", or "rejected" with rejection reason (e.g. "rejected:reduce_direction").
Unique instrument identifier
"BTC-PERPETUAL"
Type of last request performed on the trigger order by user or system. "cancel" - when order was cancelled, "trigger:order" - when trigger order spawned market or limit order after being triggered
"trigger:order"
Direction: buy, or sell
buy, sell Price in base currency
It represents the requested order size. For perpetual and inverse futures the amount is in USD units. For options and linear futures it is the underlying base currency coin.
Optional (not added for spot). 'true for reduce-only orders only'
true for post-only orders only
Requested order type: "limit or "market"
limit, market The timestamp (milliseconds since the Unix epoch)
1536569522277
User defined label (presented only when previously set for order by user)
true if the order is an order that can be triggered by another order, otherwise not present.
Unique reference that identifies a one_cancels_others (OCO) pair.
Source of the order that is linked to the trigger order.
"api"
Continuation token for pagination.
"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"
The id that was sent in the request
Was this page helpful?